Skip to main content
GET
/
files
/
{id}
Get print file by ID
curl --request GET \
  --url https://api.autoprintfarm.com/public/v1/files/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "product_id": "<string>",
    "file_size_bytes": 123,
    "number_of_units": 123,
    "print_time_seconds": 123,
    "filament_weight_grams": 123,
    "filament_length_meters": 123,
    "filament_type": "<string>",
    "printer_model_id": "<string>",
    "nozzle_diameter": 123,
    "layer_count": 123,
    "curr_bed_type": "<string>",
    "default_print_profile": "<string>",
    "object_count": 123,
    "has_thumbnail": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "versions": [
      {
        "id": "<string>",
        "version_number": 123,
        "notes": "<string>",
        "is_current_version": true,
        "created_at": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Print file ID

Response

Print file detail

success
enum<boolean>
required
Available options:
true
data
object
required